<Shader Name="BlitDepth">
	<Uniforms>
		<Texture Name="Main Texture" Uniform="_MainTex"/>
	</Uniforms>
	<Passes>
		<Pass Name="Deferred">
			<Vertex>
				#version 330 core
				#define VERTEX_SHADER
				#include "HLSL"
				 
				in float3 position;
				in float2 uv;
				out float2 inUV;

				void main(){
					gl_Position = float4(position,1);
					inUV = position.xy*float2(0.5,0.5)+float2(0.5,0.5);
				}
			</Vertex>
			<Fragment><![CDATA[
				#version 330 core
				#include "HLSL"
				#line 24
				out float depth;
				in float2 inUV;

				uniform sampler2D _MainTex;
				void main(){
                    float2 uv = inUV;
					depth = tex2D(_MainTex,uv).r;
				}
			]]></Fragment>
		</Pass>
	</Passes>
</Shader>
