<Shader Name="ColorWheel">
	<Uniforms>
		<Vector4 Name="_ButtonCoords" Uniform="_ButtonCoords"/>
	</Uniforms>
	<Passes>
		<Pass Name="Deferred">
			<Vertex>
				#version 330 core
				#define VERTEX_SHADER
				#include "HLSL"
				 
				in float3 position;
				in float2 uv;
				out float2 inUV;
				out float3 inPos;

				uniform float4 _ButtonCoords;
				uniform float4 GlowColor;
				void main(){
					float2 normuv = position.xy*0.5+0.5;
					inUV = position.xy;
					float3 pos = (_LocalToWorld*float4(position,1)).xyz;
					CalcPosFromWorld(pos);
				}
			</Vertex>
			<Fragment><![CDATA[
				#version 330 core
				#include "HLSL"
				#include "GUI"
				#line 27
				out float4 color;
				in float2 inUV;
				in float3 inPos;
				float3 hsv2rgb2(float3 c){
					c.r = frac(c.r);
					c.gb = saturate(c.gb);
					float4 K = float4(1.0, 2.0 / 3.0, 1.0 / 3.0, 3.0);
					float3 p = abs(frac(c.xxx + K.xyz) * 6.0 - K.www);
					float3 pp = c.z * lerp(K.xxx, clamp(p - K.xxx, 0.0, 1.0), c.y);
					return pp;
				}
				void main(){
					color = float4(0,0,0,0);
					antialiasing = 1;
					
					color.rgb = hsv2rgb2(float3((atan(inUV.x,inUV.y)+3.1415)/6.28,length(inUV),1));
					color *= insideCircle(vec2(0,0),1,inUV)*(1-insideCircle(vec2(0,0),0.94,inUV))+insideRectangle(vec2(-0.02,-1),vec2(0.02,1),inUV)+insideRectangle(vec2(-1,-0.02),vec2(1,0.02),inUV);
				}

/*bwling aly
fown
REFLECTING on the before time
hap end
buldng constr abvandomen
pooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
jackoooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooson
posiblllllllllllll out com
So it's about, like, two peas who were froinds and then they had a canlde din and then cryyy. AND THEN CAN, WE, STILL BE, FROINDA

Start out with changed bolling alkyy
Song starts, rack focus to jacko who does weird mouth stuff;We can't play this game anymore
JackoCLOSSUP: But can we still be friends?
cuts to phone indecision;Things just can't go on like before
Some past stuff idfk*/
			]]></Fragment>
		</Pass>
	</Passes>
</Shader>
