<Shader Name="TextBitmapBasic">
	<Uniforms>
		<Texture Name="Main Texture" Uniform="_MainTex"/>
	</Uniforms>
	<Passes>
		<Pass Name="Deferred">
			<Vertex>
				#version 330 core
				#define VERTEX_SHADER
				#include "HLSL"
				 
				in float3 position;
				in float2 uv;
				out float2 inUV;

				void main(){
					CalcPos(position);
					inUV = position.xy*float2(0.5,0.5)+float2(0.5,0.5);
				}
			</Vertex>
			<Fragment><![CDATA[
				#version 330 core
				#include "HLSL"
				#line 27
				out float4 color;
				in float2 inUV;

				uniform sampler2D _MainTex;

				void main(){
                    float2 uv = inUV;
					color = tex2D(_MainTex,uv);
					color.a = color.r;
					color.rgb = float3(1,1,1)*color.a;
				}
			]]></Fragment>
		</Pass>
	</Passes>
</Shader>
